%define name		freedroidRPG
%define name_lower	freedroidrpg
%define version		0.9.6
%define release		2mdk
%define	Summary		A Diablo clone with the Tux as hero and the MS as evil power

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://freedroid.sourceforge.net/
Source0:	%{name_lower}-%{version}.tar.bz2
Source1:	%{name_lower}-0.9.2.voicesamples.tar.bz2
Source10:	%{name}-16x16.png
Source11:	%{name}-32x32.png
Source12:	%{name}-48x48.png
#Patch:		freedroidRPG-multiline-string.patch.bz2
License:	GPL
Group:		Games/Adventure
BuildRequires:	libSDL_image-devel 
BuildRequires:	libSDL_net-devel
BuildRequires:	libSDL_mixer-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Freedroid RPG is an extension/modification of the classical freedroid
engine into an RPG.  The main differences to the classical version are as
follows:

* The Tux is the main character of the rpg.  He is not displayed as a ball like
  in Freedroid but rather as an animated character, while other droids and
  humans in the game are still represented as the balls with some number or
  code in them.
* Dialogs and chatting with friendly droids and humans:  Multiple-choice menus
  and voice samples (with subtitles for those without sound).
* Melee weapons, armour and other items to be equipped have been added.
* An automap feature was added.
* Saving and loading of games.
* A shop to trade things.
* Controls are different:  Mouse can be used to do everything.  Joystick is not
  supported for moving around any more.
* The archive size (including sound samples) is about 10 times as big as for
  the classical version.  I'd like to appologize to all 56K modem owners at
  this point.

%package -n %{name}-voicesamples
Summary: Voice samples for Freedroid RPG
Group: Games/Adventure
Requires: %{name}

%description -n %{name}-voicesamples
This contains optional voice samples used by Freedroid RPG.

%prep
%setup -q
#%patch -p1 -b .strings

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
make clean
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

# Install voice samples.
%{__tar} -xjC $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/sound/speeches -f %{SOURCE1}

# Create menu entry.
%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Adventure" \
		title="FreedroidRPG"\
		longtitle="%{Summary}"
EOF

%{__install} %{SOURCE10} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} %{SOURCE11} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} %{SOURCE12} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -n %{name}
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%dir %{_gamesdatadir}/%{name}
%dir %{_gamesdatadir}/%{name}/sound
%dir %{_gamesdatadir}/%{name}/sound/speeches
%{_gamesdatadir}/%{name}/graphics
%{_gamesdatadir}/%{name}/map
%{_gamesdatadir}/%{name}/sound/effects
%{_gamesdatadir}/%{name}/sound/music
%{_gamesdatadir}/%{name}/dialogs
%{_mandir}/man6/%{name}.6*
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}

%files -n %{name}-voicesamples
%defattr(644,root,root,755)
%doc COPYING
%{_gamesdatadir}/%{name}/sound/speeches/*

%changelog
* Sat Jul 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.6-2mdk
- fix summary macro, if not we'll be using the voicesamples package's or
  debug package's summary in longtitle

* Sun Jul 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.6-1mdk
- 0.9.6
- drop patch

* Mon Jun  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-4mdk
- fix the patch
- add missing buildrequires
- arrgh, make clean to remove included binaries

* Sun Jun  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-3mdk
- update the patch

* Thu Jun  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-2mdk
- fix rpmlint warning
- fix buildrequires
- patch to make it compile with gcc 3.3

* Tue May 27 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.5-1mdk
- 0.9.5

* Fri May 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.4-2mdk
- fix distriblint error reported by Oliviers little playmate
- fix group
- minor fixes
- added buildrequires

* Sat Apr 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.4-1mdk
- initial mdk release based on Ted Cipicchio <ted@thereisnospork.com>'s package
